Subject: Re: [PATCH] net: mvpp2: add delay at the end of .mac_prepare

From: Jakub Kicinski <[email-masked]>
Date: Thu, 28 Apr 2022 07:28:03 -0700

On Wed, 27 Apr 2022 18:05:36 +0300 Baruch Siach wrote:
> From: Baruch Siach <[email-masked]>
> 
> Without this delay PHY mode switch from XLG to SGMII fails in a weird
> way. Rx side works. However, Tx appears to work as far as the MAC is
> concerned, but packets don't show up on the wire.
> 
> Tested with Marvell 10G 88X3310 PHY.
> 
> Signed-off-by: Baruch Siach <[email-masked]>
> ---
> 
> Not sure this is the right fix. Let me know if you have any better
> suggestion for me to test.
> 
> The same issue and fix reproduce with both v5.18-rc4 and v5.10.110.

Let me mark it as RFC in patchwork, then. If the discussion concludes
with an approval please repost as [PATCH net] and preferably with a
Fixes tag; failing that a stable tag, since you indicate 5.10 needs it.